Page MenuHomePhabricator

System option "Send anonymous system statistic to VyOS maintainers" broken
Closed, WontfixPublicBUG

Description

The following command is no longer working after the migration from sysvinit to systemd.

vyos@vyos# set system options enable-popularity-contest
[edit]
vyos@vyos# commit
[ system options ctrl-alt-del-action ignore ]
sed: can't read /etc/inittab: No such file or directory

Details

Difficulty level
Normal (likely a few hours)
Version
VyOS 999.201710282237
Why the issue appeared?
Will be filled on close
c-po created this task.Oct 29 2017, 2:17 PM

This action installs the following cronjob:

sudo sh -c 'echo "#!/bin/sh" > /etc/cron.weekly/01vyos-popcon'
sudo sh -c 'echo "/opt/vyatta/bin/vyos-popcon.pl 2>&1 >/var/log/popcon.log" >> /etc/cron.weekly/01vyos-popcon'
sudo sh -c 'chmod +x /etc/cron.weekly/01vyos-popcon'

While looking at /opt/vyatta/bin/vyos-popcon.pl it uses the uuid binary which is not present on 1.2.x and 1.1.7. After this it tries to post the usage statistics to http://popcon.vyos.net/submit.

Ok, lets see if the service is alive ...

$ host popcon.vyos.net
Host popcon.vyos.net not found: 3(NXDOMAIN)

I vote for removal of this command b/c it seems to be broken for ages and nobody cared. I remember something similar happened to rsync support in Git ;)

@syncer @dmbaturin @Unicron @mickvav comments?

@c-po I agree. By now I have a way better prototype of that thing than the original. I'll make a task about it.

If you want to make a pull request to remove this one, please go ahead!

syncer added a comment.Nov 2 2017, 6:49 PM

no popcorn left :)

c-po closed this task as Wontfix.Nov 3 2017, 12:24 PM
syncer edited projects, added Rejected; removed VyOS 1.2.x.Oct 15 2018, 6:30 AM